<template>
  <v-app-bar dense dark>
    <v-app-bar-title class="text-center">Chains</v-app-bar-title>
    <template v-slot:extension>
      <v-tab to="/authorities">Authorities</v-tab>
      <v-tab to="/certificates">Leaf Certificates</v-tab>
      <v-spacer />
      <v-tab @click="logout">Logout</v-tab>
    </template>
  </v-app-bar>
</template>

<script setup lang="ts">
import { inject } from 'vue'
import type { AxiosInstance } from "axios";

const http: AxiosInstance = inject('http')
async function logout(): Promise<void> {
  console.log(http.defaults)
  http.get("/api/v1/accounts/logout", {})
    .then(response => {
      if (response.status === 200) {
        window.location.pathname = '/accounts/login'
      }
    }).catch(error => {
      console.log(error)
  })
}
</script>
